Summary:	The finger client
Name:		finger
Version:	0.17
Release:	%mkrel 20
License:	BSD
Group:		Networking/Other
URL:		ftp://sunsite.unc.edu/pub/Linux/system/network/finger
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/finger/bsd-finger-%{version}.tar.bz2
Source1:	finger.xinetd
# FC patches:
Patch1:		bsd-finger-0.16-pts.patch
Patch2:		bsd-finger-0.17-exact.patch
Patch3:		bsd-finger-0.16-allocbroken.patch
Patch4:		bsd-finger-0.17-rfc742.patch
Patch5:		bsd-finger-0.17-time.patch
Patch6:		bsd-finger-0.17-usagi-ipv6.patch
Patch7:		bsd-finger-0.17-typo.patch
Patch8:		bsd-finger-0.17-strip.patch
Patch9:		bsd-finger-0.17-utmp.patch
Patch10:	bsd-finger-wide-char-support5.patch
Patch11:	bsd-finger-0.17-init-realname.patch
Patch12:	bsd-finger-0.17-host-info.patch
Patch13:	bsd-finger-0.17-match_sigsegv.patch
Patch14:	bsd-finger-0.17-man_page_systemd.patch
Patch15:	bsd-finger-0.17-coverity-bugs.patch
Patch50:	bsd-finger-0.17-glibc-2.2.2.patch

%description
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger package includes a standard finger client.

You should install finger if you'd like to retreive finger information from
other systems.

%package	server
Summary:	The finger daemon
Group:		System/Servers
Requires(post): xinetd
Requires(postun): xinetd

%description	server
Finger is a utility which allows users to see information about system users
(login name, home directory, name, how long they've been logged in to the
system, etc.). The finger-server package includes a standard finger server. The
server daemon (fingerd) runs from /etc/inetd.conf, which must be modified to
disable finger requests.

You should install finger-server if your system is used by multiple users and
you'd like finger information to be available.

%prep

%setup -q -n bsd-finger-%{version}
%patch1 -p1 -b .pts
%patch2 -p1 -b .exact
%patch3 -p1
%patch4 -p1 -b .rfc742
%patch5 -p1 -b .time
%patch6 -p1 -b .ipv6
%patch7 -p1 -b .typo
%patch8 -p1 -b .strip
%patch9 -p1 -b .utmp
%patch10 -p1 -b .widechar
%patch11 -p1 
%patch12 -p1 -b .host
%patch13 -p1 -b .match_sigsegv
%patch14 -p1 -b .systemd
%patch15 -p1 -b .coverity

%build
sh configure
perl -pi -e '
    s,^CC=.*$,CC=cc,;
    s,-O2,\$(RPM_OPT_FLAGS),;
    s,^BINDIR=.*$,BINDIR=%{_bindir},;
    s,^MANDIR=.*$,MANDIR=%{_mandir},;
    s,^SBINDIR=.*$,SBINDIR=%{_sbindir},;
    ' MCONFIG
%make

%install
mkdir -p %{buildroot}/{%{_bindir},%{_sbindir},%{_mandir}/man{1,8}}

install -D -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/xinetd.d/finger

make INSTALLROOT=%{buildroot} install

%post server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%postun server
/sbin/service xinetd reload > /dev/null 2>&1 || :

%files
%{_bindir}/finger
%{_mandir}/man1/finger.1*

%files server
%config(noreplace) %{_sysconfdir}/xinetd.d/finger
%{_sbindir}/in.fingerd
%{_mandir}/man8/in.fingerd.8*
%{_mandir}/man8/fingerd.8*






%changelog
* Thu Feb 11 2016 umeabot <umeabot> 0.17-20.mga6
+ Revision: 953940
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 0.17-19.mga6
+ Revision: 880219
- reenable patch 2
- sync patches with FC (thus fixing empty debuginfo)
- re-enable debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 0.17-18.mga6
+ Revision: 875181
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.17-17.mga5
+ Revision: 745125
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17-16.mga5
+ Revision: 679198
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-15.mga4
+ Revision: 504452
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.17-14.mga3
+ Revision: 350362
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 09 2011 kharec <kharec> 0.17-13.mga1
+ Revision: 2526
- imported package finger


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-13mdv2011.0
+ Revision: 605143
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-12mdv2010.1
+ Revision: 520108
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.17-11mdv2010.0
+ Revision: 424442
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.17-10mdv2009.0
+ Revision: 220825
- rebuild

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.17-9mdv2008.1
+ Revision: 149726
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2007.1
+ Revision: 145531
- Import finger

* Sat Mar 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.17-8mdv2007.1
- use the %%mrel macro
- bunzip patches

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 0.17-7mdk
- rebuild for sparc

* Fri Oct 14 2005 Pixel <pixel@mandriva.com> 0.17-6mdk
- rebuild

